# Internal MQTT

- [Get Started](https://docs.datacake.de/api/internal-mqtt/get-started.md)
- [MQTT Documentation](https://docs.datacake.de/api/internal-mqtt/mqtt.md): Datacake provides an TLS-enabled MQTT broker that can be used to both subscribe to Device measurements as well as record them.
- [MQTT over WebSocket](https://docs.datacake.de/api/internal-mqtt/mqtt-over-websocket.md)
- [Example Code](https://docs.datacake.de/api/internal-mqtt/client-libraries.md): Example code to connect popular MQTT libraries to the Datacake MQTT broker


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datacake.de/api/internal-mqtt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
